<?xml version="1.0"?>

<!--
This file contains information related to printer capabilities and features.  It is reccommended
that this file NOT be edited directly, but used in conjunction with HP's Web JetAdmin printer
installation utility or with the HP Printing System Customization Utility contained on the
CDROM that shipped with the product.

Editing this file by hand may result in unexpected feature settings in the printer driver UI.
-->
<device>
    <software>
        <component>
            dmc_driver
            <component_header>
                <config_file>hplj5500.cfg</config_file>
                    <config_file_version>1.0.0.17</config_file_version>
                <config_timestamp/>
                <config_version>1.0</config_version>
                <!-- Resource DLL Identifier-->
                <component_resource>hpbcfgre.dll</component_resource>
            </component_header>
            <current>
                <physical>
                </physical>
                <printing>
                </printing>
                <custom/>
            </current>
            <!-- Pre-Configuration Settings Stored in <Current> Element -->
            <factory>
                <physical resource_id="18">

                    <!-- The bundles feature needs to be first in the physical features list
                         because of a defect found when exporting from the driver.  If features
                         with forced constraints are not in the right order, there is good
                         chance that the forced item macro will cause an unwanted change to
                         the feature that is being forced to change. -->

                <!-- Typical Features - IN REVERSE ORDER FROM DISPLAY!!! -->

                    <feature typical="TRUE">
                        Bundles
                        <current_option>HP Color LaserJet 5500</current_option>
                        <option resource_id="" caption_id="">
                            HP Color LaserJet 5500
                            <constraint>Bundle_DuplexUnit_Default</constraint>
                            <constraint>Bundle_Memory_96</constraint>
                            <constraint>Bundle_OPS_Default</constraint>
                            <constraint>Bundle_PrinterHardDisk_Default</constraint>
                            <constraint>Bundle_DeviceIsMopier_Default</constraint>
                        </option>
                        <option resource_id="" caption_id="">
                            HP Color LaserJet 5500N
                            <constraint>Bundle_DuplexUnit_Default</constraint>
                            <constraint>Bundle_Memory_96</constraint>
                            <constraint>Bundle_OPS_Default</constraint>
                            <constraint>Bundle_PrinterHardDisk_Default</constraint>
                            <constraint>Bundle_DeviceIsMopier_Default</constraint>
                        </option>
                        <option resource_id="" caption_id="">
                            HP Color LaserJet 5500DN
                            <constraint>Bundle_DuplexUnit_Installed</constraint>
                            <constraint>Bundle_Memory_96</constraint>
                            <constraint>Bundle_OPS_Default</constraint>
                            <constraint>Bundle_PrinterHardDisk_Default</constraint>
                            <constraint>Bundle_DeviceIsMopier_Default</constraint>
                        </option>
                        <option resource_id="" caption_id="">
                            HP Color LaserJet 5500DTN
                            <constraint>Bundle_DuplexUnit_Installed</constraint>
                            <constraint>Bundle_Memory_160</constraint>
                            <constraint>Bundle_OPS_C7130</constraint>
                            <constraint>Bundle_PrinterHardDisk_Default</constraint>
                            <constraint>Bundle_DeviceIsMopier_Default</constraint>
                        </option>
                        <option resource_id="" caption_id="">
                            HP Color LaserJet 5500HDN
                            <constraint>Bundle_DuplexUnit_Installed</constraint>
                            <constraint>Bundle_Memory_160</constraint>
                            <constraint>Bundle_OPS_C7130</constraint>
                            <constraint>Bundle_PrinterHardDisk_Installed</constraint>
                            <constraint>Bundle_DeviceIsMopier_Installed</constraint>
                        </option>
                    </feature>
                    <!-- PrinterHardDisk -->
                    <feature resource_id="663" caption_id="10050" typical="TRUE">
                        PrinterHardDisk
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                        </option>
                        <option resource_id="2">
                            NotInstalled
                        </option>
                    </feature>
                    <!-- Memory -->
                    <feature resource_id="787" range_low="96" range_hi="384" caption_id="10052" typical="TRUE">
                        Memory
                        <current_option>96</current_option>
                    </feature>
                    <!-- OptionalPaperSources -->
                    <feature resource_id="710" caption_id="10086" typical="TRUE">
                        OptionalPaperSources
                        <current_option>None</current_option>
                        <option resource_id="8">
                            None
                            <constraint>OPS_None_InputBin_Forbid</constraint>
                            <constraint>OPS_Tray4_NotInstalled</constraint>
                            <constraint>OPS_Tray3_NotInstalled</constraint>
                        </option>
                        <option resource_id="725">
                            C7130
                            <constraint>OPS_Tray4_InputBin_Forbid</constraint>
                            <constraint>OPS_Tray3_Installed</constraint>
                            <constraint>OPS_Tray4_NotInstalled</constraint>
                        </option>
                        <option resource_id="726">
                            C7130_C7130
                            <constraint>OPS_Tray3_Tray4_Installed</constraint>
                        </option>
                    </feature>
                    <!-- DuplexUnit -->
                    <feature resource_id="662" caption_id="1048" typical="TRUE">
                        DuplexUnit
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                        </option>
                        <option resource_id="2">
                            NotInstalled
                            <constraint>DuplexUnit_Duplex</constraint>
                        </option>
                    </feature>

                    <!-- Non-Typical Features -->

                    <!-- Tray3 -->
                    <feature resource_id="410" editable="FALSE">
                        Tray3
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1" caption_id="">
                            Installed
                        </option>
                        <option resource_id="2" caption_id="">
                            NotInstalled
                        </option>
                    </feature>
                    <!-- Tray4 -->
                    <feature resource_id="406" editable="FALSE">
                        Tray4
                        <current_option>NotInstalled</current_option>
                        <option resource_id="" caption_id="">
                            Installed
                        </option>
                        <option resource_id="" caption_id="">
                            NotInstalled
                        </option>
                    </feature>
                    <!-- Removed from cfg file because the default option
                            will not always be the same.

                            ScaleFromLargePaper
                    <feature resource_id="1187" caption_id="">
                        ScaleFromLargePaper
                        <current_option>FALSE</current_option>
                        <option resource_id="10">
                            TRUE
                        </option>
                        <option resource_id="9">
                            FALSE
                        </option>
                    </feature> -->
                    <!-- DeviceIsMopier -->
                    <feature resource_id="668" caption_id="10100">
                        DeviceIsMopier
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                            <constraint>DeviceIsMopier_TRUE_Hardware</constraint>
                        </option>
                        <option resource_id="2">
                            NotInstalled
                        </option>
                    </feature>
                    <!-- JobRetention -->
                    <feature resource_id="997" caption_id="10051">
                        JobRetention
                        <current_option>Disabled</current_option>
                        <option resource_id="4" >
                            Enabled
                            <constraint>JobRetention_Enabled_Hardware</constraint>
                        </option>
                        <option resource_id="5" >
                            Disabled
                        </option>
                    </feature>
                </physical>

                <!-- Printing Features -->
                <printing resource_id="17">

                <!-- Typical Features - IN REVERESE ORDER FROM DISPLAY!!! -->

                    <!-- Print Finish -->
                    <feature resource_id="762" caption_id="10055" typical="TRUE">
                        PrintFinish
                        <current_option>Matte</current_option>
                        <option resource_id="9">
                            Matte
                        </option>
                        <option resource_id="10">
                            Glossy
                        </option>
                    </feature>
                    <!-- Copies -->
                    <feature resource_id="1021" caption_id="10037" range_low="1" range_hi="9999" typical="TRUE">
                        Copies
                        <current_option>1</current_option>
                    </feature>
                    <!-- PrintColorAsGray -->
                    <feature resource_id="836" caption_id="10056" typical="TRUE" lock="FALSE">
                        PrintColorAsGray
                        <current_option>FALSE</current_option>
                        <option resource_id="6">
                            TRUE
                        </option>
                        <option resource_id="5">
                            FALSE
                        </option>
                    </feature>
                    <!-- Print Quality -->
                    <feature resource_id="760" caption_id="1019" typical="TRUE">
                        PrintQuality
                        <current_option>Default</current_option>
                        <option resource_id="3">
                            Default
                        </option>
                        <option resource_id="769">
                            Normal
                        </option>
                        <option editable="FALSE">
                            Custom
                        </option>
                    </feature>
                    <!-- Orientation -->
                    <feature resource_id="850" caption_id="10013" typical="TRUE">
                        Orientation
                        <current_option>Portrait</current_option>
                        <option resource_id="851">
                            Portrait
                        </option>
                        <option resource_id="852">
                            Landscape
                        </option>
                        <option resource_id="853">
                            RotatedPortrait
                        </option>
                        <option resource_id="854">
                            RotatedLandscape
                        </option>
                    </feature>
                    <!-- OutputBin -->
                    <feature resource_id="450" caption_id="10039" typical="TRUE">
                        OutputBin
                        <current_option>Top</current_option>
                        <option resource_id="452">
                            Top
                        </option>
                    </feature>
                    <!-- InputBin -->
                    <feature resource_id="400" caption_id="10018" typical="TRUE" lock="FALSE">
                        InputBin
                        <current_option>PrinterSelect</current_option>
                        <option resource_id="430">
                            PrinterSelect
                        </option>
            <option resource_id="401">
                ManualFeed
            </option>
                        <option resource_id="408">
                            Tray1
                        </option>
                        <option resource_id="409">
                            Tray2
                            <constraint>InputBin_Tray2_Size</constraint>
                            <constraint>InputBin_Tray2_Type</constraint>
                        </option>
                        <option resource_id="410">
                            Tray3
                            <constraint>InputBin_Tray3</constraint>
                            <constraint>InputBin_Tray3_Size</constraint>
                            <constraint>InputBin_Tray3_Type</constraint>
                        </option>
                        <option resource_id="427">
                            Tray4
                            <constraint>InputBin_Tray4</constraint>
                            <constraint>InputBin_Tray4_Size</constraint>
                            <constraint>InputBin_Tray4_Type></constraint>
                        </option>
                    </feature>
                    <!-- MediaType -->
                    <feature resource_id="550" caption_id="10017" typical="TRUE" lock="FALSE">
                        MediaType
                        <current_option>AUTO</current_option>
                        <option resource_id="425">
                            AUTO
                        </option>
                        <option resource_id="566">
                            BOND
                        </option>
                        <option resource_id="570">
                            CARDSTOCK_GP
                            <constraint>MediaType_CARDSTOCK_GP_InputBin</constraint>
                            <constraint>MediaType_CARDSTOCK_GP_Duplex</constraint>
                        </option>
                        <option resource_id="568">
                            COLOR
                        </option>
                        <option resource_id="638">
                            LIGHT_GP
                        </option>
                        <option resource_id="563">
                            GLOSS
                        </option>
                        <option resource_id="565">
                            LABELS
                            <constraint>MediaType_LABELS_Duplex</constraint>
                        </option>
                        <option resource_id="561">
                            LETTERHEAD
                        </option>
                        <option resource_id="569">
                            HEAVY_GP
                        </option>
                        <option resource_id="559">
                            PLAIN
                        </option>
                        <option resource_id="560">
                            PREPRINTED
                        </option>
                        <option resource_id="564">
                            PREPUNCHED
                        </option>
                        <option resource_id="567">
                            RECYCLED
                        </option>
                        <option resource_id="562">
                            TRANSPARENCY
                            <constraint>MediaType_TRANSPARENCY_Duplex</constraint>
                        </option>
                        <option resource_id="587">
                            GLOSSY_FILM
                            <constraint>MediaType_GLOSSY_FILM_Duplex</constraint>
                        </option>
                        <option resource_id="639">
                            HEAVY_GLOSSY_GP
                            <constraint>MediaType_HEAVY_GLOSSY_GP_InputBin</constraint>
                            <constraint>MediaType_HEAVY_GLOSSY_GP_Duplex</constraint>
                        </option>
                        <option resource_id="551">
                            ENVELOPE
                            <constraint>MediaType_ENVELOPE_Duplex</constraint>
                        </option>
                    </feature>
                    <!-- PaperSize-->
                    <feature resource_id="200" caption_id="10012" typical="TRUE">
                        PaperSize
                        <current_option>LETTER</current_option>
                        <option resource_id="209">
                            LETTER
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <option resource_id="213">
                            LEGAL
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <option resource_id="215">
                            EXECUTIVE
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <option resource_id="225">
                            11X17
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <!--
                        <option resource_id="207">
                            12X18
                            <constraint>PaperSize_12X18_InputBin</constraint>
                            <constraint>PaperSize_12X18_Duplex</constraint>
                        </option>
                        -->
                        <option resource_id="217" >
                            A4
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <option resource_id="216">
                            A3
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <option resource_id="228">
                            ENV_10
                            <constraint>PaperSize_ENV10_InputBin</constraint>
                            <constraint>PaperSize_ENV10_Duplex</constraint>
                        </option>
                        <option resource_id="236">
                            ENV_C5
                            <constraint>PaperSize_ENV_C5_InputBin</constraint>
                            <constraint>PaperSize_ENV_C5_Duplex</constraint>
                        </option>
                        <option resource_id="242">
                            ENV_B5
                            <constraint>PaperSize_ENV_B5_InputBin</constraint>
                            <constraint>PaperSize_ENV_B5_Duplex</constraint>
                        </option>
                        <option resource_id="235">
                            ENV_DL
                            <constraint>PaperSize_ENV_DL_InputBin</constraint>
                            <constraint>PaperSize_ENV_DL_Duplex</constraint>
                        </option>
                        <option resource_id="245">
                            ENV_MONARCH
                            <constraint>PaperSize_ENV_MONARCH_InputBin</constraint>
                            <constraint>PaperSize_ENV_MONARCH_Duplex</constraint>
                        </option>
                        <option resource_id="219">
                            A5
                            <constraint>PaperSize_A5_Duplex</constraint>
                        </option>
                        <option resource_id="202">
                            B5
                        </option>
                        <option resource_id="221">
                            B5_JIS
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <option resource_id="220">
                            B4_JIS
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <option resource_id="274">
                            DBL_JAPANESE_POSTCARD
                            <constraint>PaperSize_DBL_JAPANESE_POSTCARD_InputBin</constraint>
                            <constraint>PaperSize_DBL_JAPANESE_POSTCARD_Duplex</constraint>
                        </option>
                        <option resource_id="327">
                            EXECUTIVE_JIS
                            <constraint>PaperSize_BookletPrintingChoice_Set</constraint>
                        </option>
                        <option resource_id="208">
                            16K
                            <constraint>PaperSize_16K_Duplex</constraint>
                        </option>
                        <option resource_id="354">
                            8K
                            <constraint>PaperSize_8K_Duplex</constraint>
                        </option>
                    </feature>
                    <!-- Duplex -->
                    <feature resource_id="1000" caption_id="10014" typical="TRUE" lock="FALSE">
                        Duplex
                        <current_option>FALSE</current_option>
                        <option resource_id="10" >
                            TRUE
                            <constraint>Duplex_MediaType</constraint>
                            <constraint>Duplex_PaperSize</constraint>
                            <constraint>Duplex_DuplexUnit</constraint>
                            <!-- DuplexEdge -->
                            <feature resource_id="1001" caption_id="10063" typical="TRUE">
                                DuplexEdge
                                <current_option>LongEdge</current_option>
                                <option resource_id="1002" >
                                    LongEdge
                                </option>
                                <option resource_id="1003" >
                                    ShortEdge
                                </option>
                            </feature>
                        </option>
                        <option resource_id="9" >
                            FALSE
                        </option>
                    </feature>

                <!-- Non-Typical Features -->

                    <!-- PageOrder -->
                    <feature resource_id="1130" caption_id="10015">
                        PageOrder
                        <current_option>FrontToBack</current_option>
                        <option resource_id="1135">
                            FrontToBack
                        </option>
                        <option resource_id="1136">
                            BackToFront
                        </option>
                    </feature>
                    <!-- NUp Features-->
                    <!-- NUpChoice -->
                    <feature resource_id="1100" caption_id="10021">
                        NUpChoice
                        <current_option>OneUp</current_option>
                        <option resource_id="1101">
                            OneUp
                        </option>
                        <option resource_id="1102" >
                            TwoUp
                            <constraint>NUpChoice_FitToOtherSizeChoice_PrintActualSize</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1103">
                            FourUp
                            <constraint>NUpChoice_FitToOtherSizeChoice_PrintActualSize</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1104">
                            SixUp
                            <constraint>NUpChoice_FitToOtherSizeChoice_PrintActualSize</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1105">
                            NineUp
                            <constraint>NUpChoice_FitToOtherSizeChoice_PrintActualSize</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1106">
                            SixteenUp
                            <constraint>NUpChoice_FitToOtherSizeChoice_PrintActualSize</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- BookletPrintingChoice -->
                    <feature resource_id="1120" caption_id="10023">
                        BookletPrintingChoice
                        <current_option>OFF</current_option>
                        <option resource_id="14">
                            OFF
                        </option>
                        <option resource_id="1121">
                            LeftEdge
                            <constraint>BookletPrintingChoice_Duplex</constraint>
                            <constraint>BookletPrintingChoice_FitToOtherSizeChoice</constraint>
                            <constraint>BookletPrintingChoice_ScaleChoice</constraint>
                            <constraint>BookletPrintingChoice_PaperSize</constraint>
                            <constraint>BookletPrintingChoice_BookletTargetSize_Set</constraint>
                        </option>
                        <option resource_id="1122">
                            RightEdge
                            <constraint>BookletPrintingChoice_Duplex</constraint>
                            <constraint>BookletPrintingChoice_FitToOtherSizeChoice</constraint>
                            <constraint>BookletPrintingChoice_ScaleChoice</constraint>
                            <constraint>BookletPrintingChoice_PaperSize</constraint>
                            <constraint>BookletPrintingChoice_BookletTargetSize_Set</constraint>
                        </option>
                    </feature>
                    <!-- BookletTargetSize -->
                    <feature resource_id="1124" caption_id="10067">
                        BookletTargetSize
                        <current_option>Letter</current_option>
                        <option resource_id="209">
                            LETTER
                            <constraint>BookletTargetSize_Letter_PaperSize</constraint>
                        </option>
                        <option resource_id="213">
                            LEGAL
                            <constraint>BookletTargetSize_Legal_PaperSize</constraint>
                        </option>
                        <option resource_id="217">
                            A4
                            <constraint>BookletTargetSize_A4_PaperSize</constraint>
                        </option>
                        <option resource_id="216">
                            A3
                            <constraint>BookletTargetSize_A3_PaperSize</constraint>
                        </option>
                        <option resource_id="220">
                            B4_JIS
                            <constraint>BookletTargetSize_B4_JIS_PaperSize</constraint>
                        </option>
                        <option resource_id="225">
                            11X17
                            <constraint>BookletTargetSize_11X17_PaperSize</constraint>
                        </option>
                    </feature>
                    <!-- TTAsBitmapSetting-->
                    <feature resource_id="1170" caption_id="10044">
                        TTAsBitmapSetting
                        <current_option>TTModeOutline</current_option>
                        <option resource_id="9">
                            TTModeOutline
                        </option>
                        <option resource_id="10">
                            TTModeBitmap
                        </option>
                    </feature>
                    <!-- TextAsBlack-->
                    <feature resource_id="901" caption_id="10043">
                        TextAsBlack
                        <current_option>FALSE</current_option>
                        <option resource_id="9" >
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                        </option>
                    </feature>
                    <!-- FitToOtherSizeChoice -->
                    <feature resource_id="1182" caption_id="10025">
                        FitToOtherSizeChoice
                        <current_option>PrintActualSize</current_option>
                        <option resource_id="9" caption_id="">
                            PrintActualSize
                        </option>
                        <option resource_id="10" caption_id="">
                            FitToOtherSize
                            <constraint>FitToOtherSizeChoice_FitToOtherSize</constraint>
                            <!-- TargetSizeChoice-->
                            <feature resource_id="1185" caption_id="10012">
                                TargetSizeChoice
                                <current_option>LETTER</current_option>
                                <option resource_id="209">
                                    LETTER
                                </option>
                                <option resource_id="213">
                                    LEGAL
                                </option>
                                <option resource_id="215">
                                    EXECUTIVE
                                </option>
                                <option resource_id="225">
                                    11X17
                                </option>
                                <!--
                                <option resource_id="207">
                                    12X18
                                    <constraint>PaperSize_12X18_InputBin</constraint>
                                    <constraint>PaperSize_12X18_Duplex</constraint>
                                </option>
                                -->
                                <option resource_id="217" >
                                    A4
                                </option>
                                <option resource_id="216">
                                    A3
                                </option>
                                <option resource_id="228">
                                    ENV_10
                                    <constraint>PaperSize_ENV10_InputBin</constraint>
                                    <constraint>PaperSize_ENV10_Duplex</constraint>
                                </option>
                                <option resource_id="236">
                                    ENV_C5
                                    <constraint>PaperSize_ENV_C5_InputBin</constraint>
                                    <constraint>PaperSize_ENV_C5_Duplex</constraint>
                                </option>
                                <option resource_id="242">
                                    ENV_B5
                                    <constraint>PaperSize_ENV_B5_InputBin</constraint>
                                    <constraint>PaperSize_ENV_B5_Duplex</constraint>
                                </option>
                                <option resource_id="235">
                                    ENV_DL
                                    <constraint>PaperSize_ENV_DL_InputBin</constraint>
                                    <constraint>PaperSize_ENV_DL_Duplex</constraint>
                                </option>
                                <option resource_id="245">
                                    ENV_MONARCH
                                    <constraint>PaperSize_ENV_MONARCH_InputBin</constraint>
                                    <constraint>PaperSize_ENV_MONARCH_Duplex</constraint>
                                </option>
                                <option resource_id="219">
                                    A5
                                    <constraint>PaperSize_A5_Duplex</constraint>
                                </option>
                                <option resource_id="202">
                                    B5
                                </option>
                                <option resource_id="221">
                                    B5_JIS
                                </option>
                                <option resource_id="220">
                                    B4_JIS
                                </option>
                                <option resource_id="274">
                                    DBL_JAPANESE_POSTCARD
                                    <constraint>PaperSize_DBL_JAPANESE_POSTCARD_InputBin</constraint>
                                    <constraint>PaperSize_DBL_JAPANESE_POSTCARD_Duplex</constraint>
                                </option>
                                <option resource_id="327">
                                    EXECUTIVE_JIS
                                </option>
                                <option resource_id="208">
                                    16K
                                    <constraint>PaperSize_16K_Duplex</constraint>
                                </option>
                                <option resource_id="354">
                                    8K
                                    <constraint>PaperSize_8K_Duplex</constraint>
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- ScalePageChoice -->
                    <feature resource_id="1183">
                        ScalePageChoice
                        <current_option>ScaleToFit</current_option>
                        <option resource_id="10" caption_id="">
                            ScaleToFit
                            <constraint>ScalePageChoice_ScaleToFit</constraint>
                        </option>
                        <option resource_id="9" caption_id="">
                            FitWithoutScaling
                        </option>
                    </feature>
                    <!-- ScaleChoice -->
                    <feature resource_id="1184" caption_id="10027" range_low="25" range_hi="400">
                        ScaleChoice
                        <constraint>ScaleChoice_100</constraint>
                        <current_option>100</current_option>
                    </feature>
                    <!-- Watermarks -->
                    <feature resource_id="2000" caption_id="10028">
                        Watermarks
                        <current_option>None</current_option>
                        <option resource_id="8">
                            None
                        </option>
                        <option>
                            Confidential
                            <feature resource_id="2002">
                                WMFont
                                <current_option>Arial</current_option>
                                <option resource_id="">
                                    Times New Roman
                                </option>
                                <option resource_id="">
                                    Courier New
                                </option>
                                <option resource_id="">
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10033">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                                <option resource_id="2019">
                                    Red
                                </option>
                                <option resource_id="2020">
                                    Yellow
                                </option>
                                <option resource_id="2023">
                                    Blue
                                </option>
                                <option resource_id="2021">
                                    Green
                                </option>
                                <option resource_id="2022">
                                    Cyan
                                </option>
                                <option resource_id="2024">
                                    Magenta
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                                <!-- Taken out since the Mombi driver does not
                                     support them.  4/18/02

                                <option resource_id="2031">
                                    Underline
                                </option>
                                <option resource_id="2032">
                                    Strikeout
                                </option>
                                -->
                              </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                        <option resource_id="2001">
                            Draft
                            <feature resource_id="2002">
                                WMFont
                                <current_option>Arial</current_option>
                                <option resource_id="">
                                    Times New Roman
                                </option>
                                <option resource_id="">
                                    Courier New
                                </option>
                                <option resource_id="">
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10033">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                                <option resource_id="2019">
                                    Red
                                </option>
                                <option resource_id="2020">
                                    Yellow
                                </option>
                                <option resource_id="2023">
                                    Blue
                                </option>
                                <option resource_id="2021">
                                    Green
                                </option>
                                <option resource_id="2022">
                                    Cyan
                                </option>
                                <option resource_id="2024">
                                    Magenta
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                                <!-- Taken out since the Mombi driver does not
                                     support them.  4/18/02

                                <option resource_id="2031">
                                    Underline
                                </option>
                                <option resource_id="2032">
                                    Strikeout
                                </option>
                                -->
                              </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                        <option resource_id="2003">
                            Sample
                            <feature resource_id="2002">
                                WMFont
                                <current_option>Arial</current_option>
                                <option resource_id="">
                                    Times New Roman
                                </option>
                                <option resource_id="">
                                    Courier New
                                </option>
                                <option resource_id="">
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10033">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                                <option resource_id="2019">
                                    Red
                                </option>
                                <option resource_id="2020">
                                    Yellow
                                </option>
                                <option resource_id="2023">
                                    Blue
                                </option>
                                <option resource_id="2021">
                                    Green
                                </option>
                                <option resource_id="2022">
                                    Cyan
                                </option>
                                <option resource_id="2024">
                                    Magenta
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                                <!-- Taken out since the Mombi driver does not
                                     support them.  4/18/02

                                <option resource_id="2031">
                                    Underline
                                </option>
                                <option resource_id="2032">
                                    Strikeout
                                </option>
                                -->
                            </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- MediaType -->
                    <feature resource_id="550" caption_id="10017" typical="TRUE">
                        MediaType
                        <current_option>AUTO</current_option>
                        <option resource_id="425">
                            AUTO
                        </option>
                        <option resource_id="566">
                            BOND
                        </option>
                        <option resource_id="570">
                            CARDSTOCK_GP
                            <constraint>MediaType_CARDSTOCK_GP_InputBin</constraint>
                            <constraint>MediaType_CARDSTOCK_GP_Duplex</constraint>
                        </option>
                        <option resource_id="568">
                            COLOR
                        </option>
                        <option resource_id="638">
                            LIGHT_GP
                        </option>
                        <option resource_id="563">
                            GLOSS
                        </option>
                        <option resource_id="565">
                            LABELS
                            <constraint>MediaType_LABELS_Duplex</constraint>
                        </option>
                        <option resource_id="561">
                            LETTERHEAD
                        </option>
                        <option resource_id="569">
                            HEAVY_GP
                        </option>
                        <option resource_id="559">
                            PLAIN
                        </option>
                        <option resource_id="560">
                            PREPRINTED
                        </option>
                        <option resource_id="564">
                            PREPUNCHED
                        </option>
                        <option resource_id="567">
                            RECYCLED
                        </option>
                        <option resource_id="562">
                            TRANSPARENCY
                            <constraint>MediaType_TRANSPARENCY_Duplex</constraint>
                        </option>
                        <option resource_id="587">
                            GLOSSY_FILM
                            <constraint>MediaType_GLOSSY_FILM_Duplex</constraint>
                        </option>
                        <option resource_id="639">
                            HEAVY_GLOSSY_GP
                            <constraint>MediaType_HEAVY_GLOSSY_GP_InputBin</constraint>
                            <constraint>MediaType_HEAVY_GLOSSY_GP_Duplex</constraint>
                        </option>
                        <option resource_id="551">
                            ENVELOPE
                            <constraint>MediaType_ENVELOPE_Duplex</constraint>
                        </option>
                    </feature>
                    <!-- OutputBin -->
                    <feature resource_id="450" caption_id="10039" typical="TRUE">
                        OutputBin
                        <current_option>Top</current_option>
                        <option resource_id="452">
                            Top
                        </option>
                    </feature>
                    <!-- Halftone (UNIDRV)-->
                    <feature resource_id="903" caption_id="10038">
                        Halftone
                        <current_option>HT_PATSIZE_AUTO</current_option>
                        <option resource_id="573">
                            HT_PATSIZE_AUTO
                        </option>
                        <option resource_id="904">
                            HT_PATSIZE_SUPERCELL_M
                        </option>
                        <option resource_id="905">
                            HT_PATSIZE_6x6_M
                        </option>
                        <option resource_id="906">
                            HT_PATSIZE_8x8_M
                        </option>
                    </feature>
                    <!-- ColorSmart Features -->
                    <!-- ColorSmart -->
                    <feature resource_id="835" caption_id="10057">
                        HPColorSmart
                        <current_option>Automatic</current_option>
                        <option resource_id="16">
                            Automatic
                        </option>
                        <option resource_id="819">
                            Manual
                            <!-- HPTextHalftone -->
                            <feature resource_id="837" caption_id="10059">
                                HPColorSmart_Text_Halftone
                                <current_option>Detail</current_option>
                                <option resource_id="827">
                                    Smooth
                                </option>
                                <option resource_id="826">
                                    Detail
                                </option>
                            </feature>
                            <!-- HPTextNeutralGray -->
                            <feature resource_id="20816">
                                HPColorSmart_Text_NeutralGrays
                                <current_option>BlackOnly</current_option>
                                <option resource_id="20820">
                                    4-Color
                                </option>
                                <option resource_id="20819">
                                    BlackOnly
                                </option>
                            </feature>
                            <!-- HPGraphicsHalftone -->
                            <feature resource_id="838" caption_id="10059">
                                HPColorSmart_Graphics_Halftone
                                <current_option>Detail</current_option>
                                <option resource_id="827">
                                    Smooth
                                </option>
                                <option resource_id="826">
                                    Detail
                                </option>
                            </feature>
                            <!-- HPGraphicsNeutralGray -->
                            <feature resource_id="20817">
                                HPColorSmart_Graphics_NeutralGrays
                                <current_option>4-Color</current_option>
                                <option resource_id="20820">
                                    4-Color
                                </option>
                                <option resource_id="20819">
                                    BlackOnly
                                </option>
                            </feature>
                            <!-- HPPhotoHalftone -->
                            <feature resource_id="839" caption_id="10059">
                                HPColorSmart_Photo_Halftone
                                <current_option>Detail</current_option>
                                <option resource_id="827">
                                    Smooth
                                </option>
                                <option resource_id="826">
                                    Detail
                                </option>
                            </feature>
                            <!-- HPPhotoNeutralGray -->
                            <feature resource_id="20818">
                                HPColorSmart_Photo_NeutralGrays
                                <current_option>4-Color</current_option>
                                <option resource_id="20820">
                                    4-Color
                                </option>
                                <option resource_id="20819">
                                    BlackOnly
                                </option>
                            </feature>
                            <!-- HPColorSmart_ColorOptions_RGBColor -->
                            <feature resource_id="20823">
                                HPColorSmart_ColorOptions_RGBColor
                                <current_option>Default-sRGB</current_option>
                                <option resource_id="20824">
                                    Default-sRGB
                                </option>
                                <option resource_id="20825">
                                    Device
                                </option>
                            </feature>
                            <!-- HPColorSmart_ColorOptions_EdgeControl -->
                            <feature resource_id="20821">
                                HPColorSmart_ColorOptions_EdgeControl
                                <current_option>Off</current_option>
                                <option resource_id="14">
                                    Off
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="769">
                                    Normal
                                </option>
                                <option resource_id="20822">
                                    Maximum
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- NegativePrint (PSCRIPT)-->
                    <feature resource_id="5005" caption_id="10066">
                        NegativePrint
                        <current_option>FALSE</current_option>
                        <option resource_id="9" caption_id="">
                            FALSE
                        </option>
                        <option resource_id="10" caption_id="">
                            TRUE
                        </option>
                    </feature>
                    <!-- MirrorPrint (PSCRIPT)-->
                    <feature resource_id="5006" caption_id="10065">
                        MirrorPrint
                        <current_option>FALSE</current_option>
                        <option resource_id="9">
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                        </option>
                    </feature>
                </printing>
                <custom/>
                <!-- CONSTRAINT DEFINITIONS -->
                <constraints>
                <!-- PaperSize _ InputBin Constraints: -->
                    <constraint>
                        PaperSize_ENV10_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_B5_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_C5_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_DL_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_MONARCH_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_DBL_JAPANESE_POSTCARD_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <!-- <constraint>
                        PaperSize_425_X_6_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_12X18_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>-->
                    <!-- PaperSize _ Duplex Constraints: -->
                    <constraint>
                        PaperSize_ENV_10_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_B5_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV10_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_C5_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_DL_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_MONARCH_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_DBL_JAPANESE_POSTCARD_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <!--<constraint>
                        PaperSize_425_X_6_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_12X18_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>-->
                    <constraint>
                        PaperSize_A5_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_16K_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_8K_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_EXECUTIVE_JIS_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        PaperSize_BookletPrintingChoice_Set
                        <requires>
                            <item>printing/BookletPrintingChoice == LeftEdge</item>
                            <item force="TRUE">printing/BookletPrintingChoice = OFF</item>
                        </requires>
                        <requires>
                            <item>printing/BookletPrintingChoice == RightEdge</item>
                            <item force="TRUE">printing/BookletPrintingChoice = OFF</item>
                        </requires>
                        <requires>
                            <item>printing/BookletPrintingChoice == OFF</item>
                        </requires>
                    </constraint>

                    <!-- InputBin _ PaperSize Constraints -->
                    <constraint>
                        InputBin_Tray2_Size
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <!--<item>printing/PaperSize == 425_X_6</item>-->
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray3
                        <forbids>
                            <item>physical/OptionalPaperSources == None</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray3_Size
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <!--<item>printing/PaperSize == 425_X_6</item>-->
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray4
                        <forbids>
                            <item>physical/OptionalPaperSources == None</item>
                            <item>physical/OptionalPaperSources == C7130</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray4_Size
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <!--<item>printing/PaperSize == 425_X_6</item>-->
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                        </forbids>
                    </constraint>
                    <!-- InputBin _ MediaType Constraints -->
                    <constraint>
                        InputBin_Tray2_Type
                        <forbids>
                            <item>printing/MediaType == CARDSTOCK_GP</item>
                            <item>printing/MediaType == HEAVY_GLOSSY_GP</item>
                            <item>printing/MediaType == HEAVY_GP</item>
                            <item>printing/MediaType == ENVELOPE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray3_Type
                        <forbids>
                            <item>printing/MediaType == CARDSTOCK_GP</item>
                            <item>printing/MediaType == HEAVY_GLOSSY_GP</item>
                            <item>printing/MediaType == HEAVY_GP</item>
                            <item>printing/MediaType == ENVELOPE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray4_Type
                        <forbids>
                            <item>printing/MediaType == CARDSTOCK_GP</item>
                            <item>printing/MediaType == HEAVY_GLOSSY_GP</item>
                            <item>printing/MediaType == HEAVY_GP</item>
                            <item>printing/MediaType == ENVELOPE</item>
                        </forbids>
                    </constraint>

                    <!-- MediaType _ InputBin Constraints -->
                    <constraint>
                        MediaType_CARDSTOCK_GP_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_ENVELOPE_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_HEAVY_GP_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_HEAVY_GLOSSY_GP_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>

                    <!-- MediaType _ Duplex Constraints -->
                    <constraint>
                        MediaType_CARDSTOCK_GP_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_HEAVY_GP_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_LABELS_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_TRANSPARENCY_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_ENVELOPE_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_GLOSSY_FILM_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>


                    <!-- Duplex MediaType Constraints -->
                    <constraint>
                        Duplex_MediaType
                        <forbids>
                            <item>printing/MediaType == ENVELOPE</item>
                            <item>printing/MediaType == CARDSTOCK_GP</item>
                            <item>printing/MediaType == LABELS</item>
                            <item>printing/MediaType == TRANSPARENCY</item>
                            <item>printing/MediaType == HEAVY_GLOSSY_GP</item>
                        </forbids>
                    </constraint>

                    <!-- Duplex _ PaperSize Constraints -->
                    <constraint>
                        Duplex_PaperSize
                        <forbids>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <!--<item>printing/PaperSize == 425_X_6</item>-->
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == 16K</item>
                            <item>printing/PaperSize == 8K</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <!--<item>printing/PaperSize == 12X18</item>-->
                        </forbids>
                    </constraint>

                    <!-- Scaling Constraints -->
                    <constraint>
                        FitToOtherSizeChoice_FitToOtherSize
                        <requires>
                            <item>printing/ScaleChoice == 100</item>
                            <item>printing/NUpChoice == OneUp</item>
                        </requires>
                    </constraint>
                    <constraint>
                        ScalePageChoice_ScaleToFit
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        ScaleChoice_100
                        <requires>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                            <item>printing/ScaleChoice (g) 100</item>
                            <item>printing/ScaleChoice (l) 100</item>
                            <item>printing/BookletPrintingChoice == OFF</item>
                        </requires>
                    </constraint>

                    <!-- JobRetention Constraints -->
                    <constraint>
                        JobRetention_Enabled_Hardware
                        <requires>
                            <item>physical/PrinterHardDisk == Installed</item>
                        </requires>
                    </constraint>

                    <!-- DeviceIsMopier Constraints -->
                    <constraint>
                        DeviceIsMopier_TRUE_Hardware
                        <requires>
                            <item>physical/PrinterHardDisk == Installed</item>
                        </requires>
                        <requires>
                            <item>physical/Memory (ge) 128</item>
                        </requires>
                    </constraint>

                    <!-- Other Duplex Constraints -->
                    <constraint>
                        Duplex_DuplexUnit
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                        </requires>
                    </constraint>
                    <constraint>
                        DuplexUnit_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>

                    <!-- Booklet Printing Constraints -->
                    <constraint>
                        BookletPrintingChoice_Duplex
                        <requires>
                            <item>printing/Duplex == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        BookletPrintingChoice_FitToOtherSizeChoice
                        <requires>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </requires>
                    </constraint>
                    <constraint>
                        BookletPrintingChoice_ScaleChoice
                        <requires>
                            <item>printing/ScaleChoice == 100</item>
                        </requires>
                    </constraint>
                    <constraint>
                        BookletPrintingChoice_PaperSize
                        <forbids>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == 11X17</item>
                            <!--<item>printing/PaperSize == 12X18</item>-->
                            <item>printing/PaperSize == A3</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == B5</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == 16K</item>
                            <item>printing/PaperSize == 8K</item>
                        </forbids>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        BookletPrintingChoice_BookletTargetSize_Set
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                            <item force="TRUE">printing/BookletTargetSize == LETTER</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == LEGAL</item>
                            <item force="TRUE">printing/BookletTargetSize == LEGAL</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == A4</item>
                            <item force="TRUE">printing/BookletTargetSize == A4</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == A3</item>
                            <item force="TRUE">printing/BookletTargetSize == A3</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == B4_JIS</item>
                            <item force="TRUE">printing/BookletTargetSize == B4_JIS</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == 11X17</item>
                            <item force="TRUE">printing/BookletTargetSize == 11X17</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        BookletTargetSize_Letter_PaperSize
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        BookletTargetSize_Legal_PaperSize
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == LEGAL</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        BookletTargetSize_11X17_PaperSize
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        BookletTargetSize_B4_JIS_PaperSize
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == B4_JIS</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        BookletTargetSize_A4_PaperSize
                        <requires>
                            <item>printing/PaperSize == A4</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        BookletTargetSize_A3_PaperSize
                        <requires>
                            <item>printing/PaperSize == A4</item>
                        </requires>
                    </constraint>
                    <constraint>
                        JobRetentionModeChoice_JobRetention
                        <requires>
                            <item>physical/JobRetention == Enabled</item>
                        </requires>
                    </constraint>

                    <!-- Tray Interaction Constraints -->
                    <constraint>
                        Tray4_Installed_Tray3
                        <requires>
                            <item>physical/Tray3 == Installed</item>
                        </requires>
                    </constraint>

                    <!-- Bundles / OPS / Tray Constraints and Macros -->
                    <constraint OnExportOnly="TRUE">
                        Bundle_DuplexUnit_Default
                        <requires>
                            <item force="TRUE">physical/DuplexUnit == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_DuplexUnit_Installed
                        <requires>
                            <item force="TRUE">physical/DuplexUnit == Installed</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_Memory_96
                        <requires>
                            <item force="TRUE">physical/Memory == 96</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_Memory_160
                        <requires>
                            <item force="TRUE">physical/Memory == 160</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_OPS_Default
                        <requires>
                            <item force="TRUE">physical/OptionalPaperSources == None</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_OPS_C7130
                        <requires>
                            <item force="TRUE">physical/OptionalPaperSources == C7130</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_PrinterHardDisk_Default
                        <requires>
                            <item force="TRUE">physical/PrinterHardDisk == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_PrinterHardDisk_Installed
                        <requires>
                            <item force="TRUE">physical/PrinterHardDisk == Installed</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_DeviceIsMopier_Default
                        <requires>
                            <item force="TRUE">physical/DeviceIsMopier == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_DeviceIsMopier_Installed
                        <requires>
                            <item force="TRUE">physical/DeviceIsMopier == Installed</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OPS_Tray3_Installed
                        <requires>
                            <item force ="TRUE">physical/ Tray3 == Installed</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OPS_Tray3_Tray4_Installed
                        <requires>
                            <item force ="TRUE">physical/Tray3 == Installed</item>
                            <item force ="TRUE">physical/Tray4 == Installed</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OPS_Tray4_NotInstalled
                        <requires>
                            <item force ="TRUE">physical/Tray4 == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        OPS_Tray3_NotInstalled
                        <requires>
                            <item force ="TRUE">physical/Tray3 == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint>
                        OPS_None_InputBin_Forbid
                        <forbids>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        OPS_Tray4_InputBin_Forbid
                        <forbids>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <!--NUpChoice - FitToOtherSizeChoice - PrintActualSize constraint-->
                    <constraint OnExportOnly="TRUE">
                        NUpChoice_FitToOtherSizeChoice_PrintActualSize
                        <requires>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </requires>
                    </constraint>
                </constraints>
            </factory>
            <export>
                <physical/>
                <printing/>
                <custom/>
            </export>
        </component>
    </software>
</device>
